darkice(1)

NAME
darkice - an icecast / shoutcast live audio streamer

SYNOPSIS
darkice [options] -c config.file

DESCRIPTION

DarkIce as a live audio streamer. It records audio from an audio interface (e.g. sound card), encodes it and sends it to a streaming server.

DarkIce can record from:

    * OSS audio devices
    * ALSA audio devices
    * Solaris audio interface
    * Jack sources
    * PulseAudio sources

DarkIce can encode in the following formats:

    * mp3 - using the lame library
    * mp2 - using the twolame library
    * Ogg Vorbis
    * Ogg Opus
    * Ogg FLAC
    * AAC - using the faac library
    * AAC HEv2 - using the libaacplus (3GPP reference code)

DarkIce can send the encoded stream to the following streaming servers:

    * ShoutCast
    * IceCast 1.3.x and 2.x
    * Darwin Streaming Server

Darkice runs on the following operating systems:

    * FreeBSD
    * Linux on intel and PowerPC
    * MacOS X
    * NetBSD / OpenBSD
    * SUN Solaris

DarkIce uses POSIX real-time scheduling to keep up with sound card input. POSIX real-time scheduling is only available if the program is run as root. Therefore it is recommended that DarkIce is run as root.

OPTIONS

-c config.file
    Specifies what configuration file to use. If not specified, /etc/darkice.cfg will be used.

-v n
    Sets the verbosity level, between 0 and 10. 0 is silent, 10 is loud. Defaults to 1.

-h  Prints the help page and exits.

NOTES
When using the FLAC encoder with an icecast streamer, make sure to increase the <queue-size> setting.

BUGS
Lots of bugs.

SEE ALSO
darkice.cfg(5), icecast(1)

AUTHOR
Akos Maroy <darkeye@tyrell.hu>

ACKNOWLEDGEMENTS
Developed with contributions by

    Jim Crilly, <JCrilly@MSA.com>
    aNa|0Gue, <analogue@glop.org>
    Robin P. Blanchard, <Robin_Blanchard@gactr.uga.edu>
    Tom Gray, <tomg@future-i.com>
    Michael Smith, <msmith@labyrinth.net.au>
    Julius O. Smith, <jos@ccrma.stanford.edu>
    the OSALP team, http://osalp.sourceforge.net
    Kristjan G. Bjarnason <kgb@gangverk.is>
    Nicu Pavel <npavel@ituner.com>
    Kai Krakow <kai@kaishome.de>
    Atsuhiko Yamanaka <ymnk@jcraft.com>
    Ricardo Galli <gallir@uib.es>
    John Hay <jhay@icomtek.csir.co.za>
    Christian Forster <forster@like.e-technik.uni-erlangen.de>
    John Deeny <taqueso@dilapidated.org>
    Robert Lunnon <bobl@optushome.com.au>
    Enrico Ardizzoni <craken@users.sourceforge.net>
    Deti Fliegl <deti@fliegl.de>
    Nicholas J. Humfrey <njh@ecs.soton.ac.uk>
    Joel Ebel <jbebel@ncsu.edu>
    <jochen2@users.sourceforge.net>
    Alexander Vlasov <zulu@galaradio.com>
    Mariusz Mazur <mmazur@kernel.pl>
    dsk <derrick@csociety.org>
    Clyde Stubbs <clyde@htsoft.com>
    Jens Maurer <Jens.Maurer@gmx.net>
    Elod Horvath <elod@itfais.com>
    Pierre Souchay <pierre@souchay.net>
    Daniel Hazelbaker <daniel@highdesertchurch.com>
    Alessandro Beretta <alessandro.baretta@radiomaria.org>
    Roland Hermans <roland.hermans@omroepvenray.nl>
    Rafael Diniz <rafael@riseup.net>

LINKS
Project homepage: http://www.darkice.org/

IceCast homepage: http://www.icecast.org/

ShoutCast homepage: http://www.shoutcast.com/

Darwin Streaming Server homepage: http://developer.apple.com/darwin/projects/streaming/

Lame homepage: http://www.mp3dev.org/mp3/

TwoLame homepage: http://www.twolame.org/

Ogg Vorbis homepage: http://www.xiph.org/ogg/vorbis/

Ogg Opus homepage http://www.opus-codec.org/

faac homepage: http://www.audiocoding.com/

libaacplus homepage: http://tipok.org.ua/node/17

DarkSnow GTK front-end: http://darksnow.radiolivre.org/index.en.html written by Rafael Diniz